---
.kaniko-build-artifactory:
  tags:
    - docker
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  variables:
    ARTIFACTORY_REGISTRY: ""
  script:
    - "[[ -d /kaniko/.docker/ ]] || mkdir -p /kaniko/.docker"
    - cp $ARTIFACTORY_DOCKER_CONFIG /kaniko/.docker/config.json
    - |
      if [ -n "$KANIKO_WARMER_IMAGES" ]; then
        /kaniko/warmer \
        $(for image in $(echo ${KANIKO_WARMER_IMAGES} | tr "," "\n"); do echo -n "--image ${image} "; done) \
        ; fi
    - |
      /kaniko/executor \
        --cache=${CICD_KANIKO_CACHE:-false} \
        --context $CI_PROJECT_DIR/$CONTEXT_PATH \
        --dockerfile $CI_PROJECT_DIR/$DOCKERFILE_PATH \
        --label net.saltstack.ci.job-id=$CI_JOB_ID \
        --label net.saltstack.ci.job-url=$CI_JOB_URL \
        --label net.saltstack.ci.job-name="${CI_JOB_NAME/[0-9 \/\:]*}" \
        --label net.saltstack.ci.job-stage=$CI_JOB_STAGE \
        --label net.saltstack.ci.commit-short-sha=$CI_COMMIT_SHORT_SHA \
        $(for tag in $(echo ${CONTAINER_TAG} | tr "," "\n"); do echo -n "--destination $ARTIFACTORY_REGISTRY/$CONTAINER_NAME:${tag#v} "; done) \
        $(for arg in $(echo ${BUILD_ARGS} | tr "," "\n"); do echo -n "--build-arg ${arg} "; done)
